CYPHERTITEFB(1)

NAME
cyphertitefb - cyphertite file browser

SYNOPSIS
cyphertitefb [-D debugstring] [-F conffile] [-f ctfile] [file ...]

DESCRIPTION
The cyphertitefb command allows the user to browse through the files stored in a cyphertite(1) metadata file, viewing each files attributes and selectively downloading individual files. The options are as follows. The archive metadata file argument is always required:

-f metadata
    Filename where the archive metadata is stored. If the [md_mode] in the configuration is set to remote then only the metadata tag is required.

In addition to the aforementioned flag, the following flags may be used:

-D debugstring
    Run in debug mode. debugstring is a comma delimited list of the types described in cyphertite(1)

-F config
    Specify the location of the configuration file to use, overriding the default values.

COMMANDS
After cyphertitefb is invoked, the user will be presented with a command line interface. The following commands are valid:

pwd Display the current working directory relative to the file root.

ls  Display data about the files and directories present on the command line. If no arguments are present then do the above for the current directory.

get Download the file (with optional version) referenced by the first argument. The second argument optionally provides an alternative destination for the file to be downloaded to.

cd  Change the current working directory to the path provided on the command line. In the absense of any options return to the root directory.

lcd Change the current working directory on the local machine.

lpwd
    Print the current working directory on the local machine.

lmkdir
    Make a directory on the local filesystem.

lumask
    Change the umask for creating local files.

FILES
/etc/cyphertite/cyphertite.conf
    Default configuration file.
~/.cyphertite/cyphertite.conf
    User configuration file.
~/.cyphertite/ct_crypto
    Default crypto secrets file.

EXAMPLES
None currently

SEE ALSO
cyphertite(1) cyphertite.conf(5), glob(7),

AUTHORS
cyphertitefb was written by Conformal Systems, LLC. <info@conformal.com>.

CAVEATS
Please see cyphertite(1) for a list of general caveats for the cyphertite(1) suite of software.